| Home | Libraries | People | FAQ | More

## Class reading_file

boost::program_options::reading_file

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class reading_file : public boost::program_options::error {
    public:
      // construct/copy/destruct
      reading_file(const char *);
    };

## Description

Class thrown if config file can not be read

### `reading_file` public construct/copy/destruct

1.     reading_file(const char * filename);